Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class Variable

    java.lang.Object
      com.pmease.quickbuild.model.Variable

All Implemented Interfaces:
  java.io.Serializable

public class Variable
extends java.lang.Object
implements java.io.Serializable

The variable class

Author:
  robin shine
See Also:
  Serialized Form

Constructor Summary
`Variable()`
`Variable(java.lang.String value)`

Method Summary
`int` | `decreaseAsInt()` OGNL: Decrease this variable as integer
`int` | `getIntValue()` OGNL: Get integer value of this variable.
`java.lang.String` | `getValue()` OGNL: Get string value of this variable
`int` | `increaseAsInt()` OGNL: Increase this variable as integer
`boolean` | `isDirty()`
`void` | `setDirty(boolean dirty)`
`int` | `setIntValue(int intValue)` OGNL: Set value of this variable as string representation of specified integer
`java.lang.String` | `setValue(java.lang.String value)` OGNL: Set string value of this variable
`java.lang.String` | `toString()` OGNL: Use value as this variable's string representation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Variable

    public Variable()

### Variable

    public Variable(java.lang.String value)

Method Detail

### increaseAsInt

    public int increaseAsInt()

  OGNL: Increase this variable as integer

  Returns:
    integer value of this variable before increase

### isDirty

    public boolean isDirty()

### setDirty

    public void setDirty(boolean dirty)

### decreaseAsInt

    public int decreaseAsInt()

  OGNL: Decrease this variable as integer

  Returns:
    integer value of this variable before decrease

### getValue

    public java.lang.String getValue()

  OGNL: Get string value of this variable

  Returns:

### setValue

    public java.lang.String setValue(java.lang.String value)

  OGNL: Set string value of this variable

  Parameters:
    `value` -
  Returns:

### getIntValue

    public int getIntValue()

  OGNL: Get integer value of this variable. If the value can not be converted to integer, 0 will be returned.

  Returns:

### setIntValue

    public int setIntValue(int intValue)

  OGNL: Set value of this variable as string representation of specified integer

  Parameters:
    `intValue` -
  Returns:

### toString

    public java.lang.String toString()

  OGNL: Use value as this variable's string representation

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.